package com.data.emqx.mapper;

import com.data.emqx.domain.OtaProgress;

public interface OtaProgressMapper {

    /**
     * 插入OTA升级进度记录
     */
    void insertOtaProgress(OtaProgress otaProgress);

    /**
     * 根据设备ID和任务ID更新进度
     */
    void updateProgressByDeviceIdAndTaskId(OtaProgress otaProgress);

    /**
     * 根据设备ID和任务ID查询进度
     */
    OtaProgress selectByDeviceIdAndTaskId(String deviceId, String taskId);
}
